public final class ResponseMetaData
extends com.google.api.client.json.GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the Google Analytics Data API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
com.google.api.client.util.GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
ResponseMetaData() |
| Modifier and Type | Method and Description |
|---|---|
ResponseMetaData |
clone() |
String |
getCurrencyCode()
The currency code used in this report.
|
Boolean |
getDataLossFromOtherRow()
If true, indicates some buckets of dimension combinations are rolled into "(other)" row.
|
String |
getEmptyReason()
If empty reason is specified, the report is empty for this reason.
|
SchemaRestrictionResponse |
getSchemaRestrictionResponse()
Describes the schema restrictions actively enforced in creating this report.
|
Boolean |
getSubjectToThresholding()
If `subjectToThresholding` is true, this report is subject to thresholding and only returns
data that meets the minimum aggregation thresholds.
|
String |
getTimeZone()
The property's current timezone.
|
ResponseMetaData |
set(String fieldName,
Object value) |
ResponseMetaData |
setCurrencyCode(String currencyCode)
The currency code used in this report.
|
ResponseMetaData |
setDataLossFromOtherRow(Boolean dataLossFromOtherRow)
If true, indicates some buckets of dimension combinations are rolled into "(other)" row.
|
ResponseMetaData |
setEmptyReason(String emptyReason)
If empty reason is specified, the report is empty for this reason.
|
ResponseMetaData |
setSchemaRestrictionResponse(SchemaRestrictionResponse schemaRestrictionResponse)
Describes the schema restrictions actively enforced in creating this report.
|
ResponseMetaData |
setSubjectToThresholding(Boolean subjectToThresholding)
If `subjectToThresholding` is true, this report is subject to thresholding and only returns
data that meets the minimum aggregation thresholds.
|
ResponseMetaData |
setTimeZone(String timeZone)
The property's current timezone.
|
getFactory, setFactory, toPrettyString, toStringentrySet, equals, get, getClassInfo, getUnknownKeys, hashCode, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic String getCurrencyCode()
null for nonepublic ResponseMetaData setCurrencyCode(String currencyCode)
currencyCode - currencyCode or null for nonepublic Boolean getDataLossFromOtherRow()
null for nonepublic ResponseMetaData setDataLossFromOtherRow(Boolean dataLossFromOtherRow)
dataLossFromOtherRow - dataLossFromOtherRow or null for nonepublic String getEmptyReason()
null for nonepublic ResponseMetaData setEmptyReason(String emptyReason)
emptyReason - emptyReason or null for nonepublic SchemaRestrictionResponse getSchemaRestrictionResponse()
null for nonepublic ResponseMetaData setSchemaRestrictionResponse(SchemaRestrictionResponse schemaRestrictionResponse)
schemaRestrictionResponse - schemaRestrictionResponse or null for nonepublic Boolean getSubjectToThresholding()
null for nonepublic ResponseMetaData setSubjectToThresholding(Boolean subjectToThresholding)
subjectToThresholding - subjectToThresholding or null for nonepublic String getTimeZone()
null for nonepublic ResponseMetaData setTimeZone(String timeZone)
timeZone - timeZone or null for nonepublic ResponseMetaData set(String fieldName, Object value)
set in class com.google.api.client.json.GenericJsonpublic ResponseMetaData clone()
clone in class com.google.api.client.json.GenericJsonCopyright © 2011–2023 Google. All rights reserved.